You are not logged in.

#1 2004-05-12 03:23:49

onami
Member
From: Romania
Registered: 2004-05-05
Posts: 197

update !!!

After a fresh system install from cd, i ran pacman -Syu for update.
After refreshing the packages database, and downloading, and all checkings,he began installing.
1)
When reaching gtk se said:
could not find libXinerama.so.1.
after the entire  install I did a locate libXinerama.so.1 and found it:
/usr/X11R6/lib/libXinerama.so.1.0
/usr/X11R6/lib/libXinerama.so.1
/usr/X11R6/lib/libXinerama.so

but when I've tryed mozilla-firefox :
error could not find libXinerama.so.1

so reinstalled firefox and now it works.
2)
the update was containing a kernel update as well, from 2.6.3 to 2.6.6.
If I try uname -r I get 2.6.3
and when I try to install the nvidia drivers, he sais could not find a precompiled kernel ...
In only a /usr/src was a linux-2.6.6 dir
so I've downloaded the 2.6 kernel source, and then:
mv linux-2.6.6 linux-2.6.6.old
cp -rp linux-2.6.6.old/include/* linux-2.6.6/include/cp -rp linux-2.6.6.old/.config linux-2.6.6/

tried again with installing nvidia drivers, the same problem
tried sh NVIDIA....run --kernel-source-path /usr/src/linux-2.6.6 and said he was unable to compile the nvidia driver.
so then I did uname -r and got 2.6.3
then pacman -Sy kerne26, package up to date, update anyway ?
yes
uname -r => 2.6.3
and still unable to install nvidia drivers!!!


Forever newbie !!!

Offline

#2 2004-05-12 10:58:36

farphel
Forum Fellow
From: New Hampshire - USA
Registered: 2003-09-18
Posts: 250
Website

Re: update !!!

onami wrote:

2)
the update was containing a kernel update as well, from 2.6.3 to 2.6.6.
If I try uname -r I get 2.6.3
and when I try to install the nvidia drivers, he sais could not find a precompiled kernel ...
In only a /usr/src was a linux-2.6.6 dir
so I've downloaded the 2.6 kernel source, and then:
mv linux-2.6.6 linux-2.6.6.old
cp -rp linux-2.6.6.old/include/* linux-2.6.6/include/cp -rp linux-2.6.6.old/.config linux-2.6.6/

tried again with installing nvidia drivers, the same problem
tried sh NVIDIA....run --kernel-source-path /usr/src/linux-2.6.6 and said he was unable to compile the nvidia driver.
so then I did uname -r and got 2.6.3
then pacman -Sy kerne26, package up to date, update anyway ?
yes
uname -r => 2.6.3
and still unable to install nvidia drivers!!!

You didn't explicitly say this: did you reboot after upgrading the kernel?

I just did a fresh install last week and had no problems using the stock 2.6.6 kernel with the latest nvidia drivers (5336).


Follow the link below, sign up, and accept one promotional offer.  If I can get five suckers (err... friends) to do this, I'll get a free iPod.  Then you too can try to get a free iPod. Thanks! http://www.freeiPods.com/?r=11363142

Offline

#3 2004-05-12 11:28:41

onami
Member
From: Romania
Registered: 2004-05-05
Posts: 197

Re: update !!!

did that


Forever newbie !!!

Offline

#4 2004-05-12 12:00:53

Mr Green
Forum Fellow
From: U.K.
Registered: 2003-12-21
Posts: 5,756

Re: update !!!

search forum for Xinerama fixed mine but have forgotten what I did....

Get 2.6.6 working first .....

Might help removing nvidia (--uninstall)

when you know 2.6.6 is working (uname -a) & lilo/grub is ok.....then try install of nvidia

HTH

Mr Green


Mr Green

Offline

Board footer

Powered by FluxBB